PRAGMA foreign_keys=OFF; 

CREATE TABLE agenda( 
      id  INTEGER    NOT NULL  , 
      clinica_id int   NOT NULL  , 
      profissional_id int   NOT NULL  , 
      nome text   NOT NULL  , 
      horario_inicial text   NOT NULL    DEFAULT '08:00', 
      horario_final text   NOT NULL    DEFAULT '18:00', 
      visualizacao_inicial varchar  (30)   NOT NULL    DEFAULT 'agendaWeek', 
      horario_inicio_intervalo text   , 
      horario_fim_intervalo text   , 
      duracao int   NOT NULL    DEFAULT 30, 
      dias text   NOT NULL  , 
      procedimento_id int   , 
      cor varchar  (10)   , 
      aceita_agendamento_online char  (1)     DEFAULT 'F', 
      publica char  (1)     DEFAULT 'F', 
      fl_permite_choque_horario char  (1)     DEFAULT 'T', 
 PRIMARY KEY (id),
FOREIGN KEY(clinica_id) REFERENCES clinica(id),
FOREIGN KEY(profissional_id) REFERENCES pessoa(id),
FOREIGN KEY(procedimento_id) REFERENCES procedimento(id)) ; 

CREATE TABLE agendamento( 
      id  INTEGER    NOT NULL  , 
      paciente_id int   NOT NULL  , 
      estado_agenda_id int   NOT NULL  , 
      agenda_id int   NOT NULL  , 
      especialidade_id int   , 
      dt_inicial datetime   NOT NULL  , 
      dt_final datetime   NOT NULL  , 
      agendamento_original_id int   , 
      observacao text   , 
      ativo char  (1)     DEFAULT 'T', 
      ano_inicial text   , 
      mes_inicial text   , 
      ano_mes_inicial text   , 
      ano_final text   , 
      mes_final text   , 
      ano_mes_final text   , 
      online char  (1)     DEFAULT 'F', 
      link_atendimento_online text   , 
 PRIMARY KEY (id),
FOREIGN KEY(paciente_id) REFERENCES pessoa(id),
FOREIGN KEY(estado_agenda_id) REFERENCES estado_agenda(id),
FOREIGN KEY(agenda_id) REFERENCES agenda(id),
FOREIGN KEY(especialidade_id) REFERENCES especialidade(id)) ; 

CREATE TABLE agendamento_procedimento( 
      id  INTEGER    NOT NULL  , 
      agendamento_id int   NOT NULL  , 
      procedimento_id int   NOT NULL  , 
      convenio_id int   NOT NULL  , 
      quantidade double   NOT NULL  , 
      valor double   , 
      valor_total double   , 
 PRIMARY KEY (id),
FOREIGN KEY(agendamento_id) REFERENCES agendamento(id),
FOREIGN KEY(procedimento_id) REFERENCES procedimento(id),
FOREIGN KEY(convenio_id) REFERENCES convenio(id)) ; 

CREATE TABLE agenda_profissional( 
      id  INTEGER    NOT NULL  , 
      profissional_id int   NOT NULL  , 
      agenda_id int   NOT NULL  , 
      fl_manipula_atendimento char   NOT NULL    DEFAULT 'N', 
 PRIMARY KEY (id),
FOREIGN KEY(profissional_id) REFERENCES pessoa(id),
FOREIGN KEY(agenda_id) REFERENCES agenda(id)) ; 

CREATE TABLE anexo( 
      id  INTEGER    NOT NULL  , 
      atendimento_id int   NOT NULL  , 
      arquivo text   NOT NULL  , 
      observacao text   , 
 PRIMARY KEY (id),
FOREIGN KEY(atendimento_id) REFERENCES atendimento(id)) ; 

CREATE TABLE atendimento( 
      id  INTEGER    NOT NULL  , 
      agendamento_id int   NOT NULL  , 
      paciente_id int   NOT NULL  , 
      profissional_id int   NOT NULL  , 
      dt_inicio datetime   NOT NULL  , 
      dt_final datetime   , 
      valor_total double   , 
      ano_inicial text   , 
      mes_inicial text   , 
      ano_mes_inicial text   , 
      mes_final text   , 
      ano_final text   , 
      ano_mes_final text   , 
 PRIMARY KEY (id),
FOREIGN KEY(paciente_id) REFERENCES pessoa(id),
FOREIGN KEY(profissional_id) REFERENCES pessoa(id),
FOREIGN KEY(agendamento_id) REFERENCES agendamento(id)) ; 

CREATE TABLE atendimento_material( 
      id  INTEGER    NOT NULL  , 
      material_id int   NOT NULL  , 
      atendimento_id int   NOT NULL  , 
      quantidade double   NOT NULL  , 
 PRIMARY KEY (id),
FOREIGN KEY(material_id) REFERENCES material(id),
FOREIGN KEY(atendimento_id) REFERENCES atendimento(id)) ; 

CREATE TABLE atendimento_medico_visualiza( 
      id  INTEGER    NOT NULL  , 
      atendimento_id int   NOT NULL  , 
 PRIMARY KEY (id),
FOREIGN KEY(atendimento_id) REFERENCES atendimento(id)) ; 

CREATE TABLE atendimento_procedimento( 
      id  INTEGER    NOT NULL  , 
      convenio_id int   NOT NULL  , 
      atendimento_id int   NOT NULL  , 
      procedimento_id int   NOT NULL  , 
      quantidade double   NOT NULL  , 
      valor double   , 
      valor_total double   , 
 PRIMARY KEY (id),
FOREIGN KEY(atendimento_id) REFERENCES atendimento(id),
FOREIGN KEY(procedimento_id) REFERENCES procedimento(id),
FOREIGN KEY(convenio_id) REFERENCES convenio(id)) ; 

CREATE TABLE bloqueio( 
      id  INTEGER    NOT NULL  , 
      agenda_id int   NOT NULL  , 
      dt_inicio datetime   NOT NULL  , 
      dt_final datetime   NOT NULL  , 
      observacao text   , 
      horario_bloqueio_original int   , 
 PRIMARY KEY (id),
FOREIGN KEY(agenda_id) REFERENCES agenda(id)) ; 

CREATE TABLE categoria_conta( 
      id  INTEGER    NOT NULL  , 
      tipo_conta_id int   NOT NULL  , 
      nome text   NOT NULL  , 
 PRIMARY KEY (id),
FOREIGN KEY(tipo_conta_id) REFERENCES tipo_conta(id)) ; 

CREATE TABLE cep_cache( 
      id  INTEGER    NOT NULL  , 
      cep varchar  (12)   NOT NULL  , 
      codigo_ibge text   , 
      rua text   , 
      cidade text   , 
      uf text   , 
      cidade_id int   , 
      bairro text   , 
 PRIMARY KEY (id)) ; 

CREATE TABLE cidade( 
      id  INTEGER    NOT NULL  , 
      estado_id int   NOT NULL  , 
      nome text   NOT NULL  , 
      codigo_ibge text   NOT NULL  , 
 PRIMARY KEY (id),
FOREIGN KEY(estado_id) REFERENCES estado(id)) ; 

CREATE TABLE clinica( 
      id  INTEGER    NOT NULL  , 
      system_unit_id int   NOT NULL  , 
      cidade_id int   NOT NULL  , 
      nome text   NOT NULL  , 
      cnpj text   NOT NULL  , 
      telefone text   NOT NULL  , 
      email text   NOT NULL  , 
      endereco text   NOT NULL  , 
      bairro text   NOT NULL  , 
      cep text   NOT NULL  , 
      numero text   , 
      complemento text   , 
      logo_documento text   , 
      url_sistema text   , 
 PRIMARY KEY (id),
FOREIGN KEY(system_unit_id) REFERENCES system_unit(id),
FOREIGN KEY(cidade_id) REFERENCES cidade(id)) ; 

CREATE TABLE clinica_convenio( 
      id  INTEGER    NOT NULL  , 
      convenio_id int   NOT NULL  , 
      clinica_id int   NOT NULL  , 
 PRIMARY KEY (id),
FOREIGN KEY(clinica_id) REFERENCES clinica(id),
FOREIGN KEY(convenio_id) REFERENCES convenio(id)) ; 

CREATE TABLE conta( 
      id  INTEGER    NOT NULL  , 
      pessoa_id int   NOT NULL  , 
      categoria_conta_id int   NOT NULL  , 
      tipo_conta_id int   NOT NULL  , 
      clinica_id int   NOT NULL  , 
      atendimento_id int   , 
      data_emissao date   NOT NULL  , 
      total_parcelas int   NOT NULL    DEFAULT 1, 
      quitada char  (1)   NOT NULL    DEFAULT 'N', 
      descricao text   NOT NULL  , 
      conta_origem_id int   , 
      total_conta double   NOT NULL  , 
      mes text   , 
      ano text   , 
      ano_mes text   , 
 PRIMARY KEY (id),
FOREIGN KEY(tipo_conta_id) REFERENCES tipo_conta(id),
FOREIGN KEY(pessoa_id) REFERENCES pessoa(id),
FOREIGN KEY(atendimento_id) REFERENCES atendimento(id),
FOREIGN KEY(clinica_id) REFERENCES clinica(id),
FOREIGN KEY(categoria_conta_id) REFERENCES categoria_conta(id)) ; 

CREATE TABLE convenio( 
      id  INTEGER    NOT NULL  , 
      nome text   NOT NULL  , 
 PRIMARY KEY (id)) ; 

CREATE TABLE documento( 
      id  INTEGER    NOT NULL  , 
      atendimento_id int   NOT NULL  , 
      tipo_documento_id int   NOT NULL  , 
      procedimento_id int   , 
      texto text   NOT NULL  , 
      dt_preenchimento datetime   NOT NULL  , 
      autenticador text   , 
      dt_validade date   NOT NULL  , 
      medico_assistente text   , 
 PRIMARY KEY (id),
FOREIGN KEY(tipo_documento_id) REFERENCES tipo_documento(id),
FOREIGN KEY(atendimento_id) REFERENCES atendimento(id),
FOREIGN KEY(procedimento_id) REFERENCES procedimento(id)) ; 

CREATE TABLE email_config( 
      id  INTEGER    NOT NULL  , 
      clinica_id int   NOT NULL  , 
      port text   , 
      username text   , 
      password text   , 
      host text   , 
      from_email text   , 
      from_name text   , 
      smtp_auth char  (1)     DEFAULT 'T', 
 PRIMARY KEY (id),
FOREIGN KEY(clinica_id) REFERENCES clinica(id)) ; 

CREATE TABLE especialidade( 
      id  INTEGER    NOT NULL  , 
      descricao text   NOT NULL  , 
 PRIMARY KEY (id)) ; 

CREATE TABLE estado( 
      id  INTEGER    NOT NULL  , 
      nome text   NOT NULL  , 
      sigla char  (2)   NOT NULL  , 
      codigo_ibge text   , 
 PRIMARY KEY (id)) ; 

CREATE TABLE estado_agenda( 
      id  INTEGER    NOT NULL  , 
      nome text   NOT NULL  , 
      estado_inicial char   NOT NULL    DEFAULT 'N', 
      estado_final char   NOT NULL    DEFAULT 'N', 
      cor varchar  (10)   NOT NULL  , 
 PRIMARY KEY (id)) ; 

CREATE TABLE estado_agendamento( 
      id  INTEGER    NOT NULL  , 
      agendamento_id int   NOT NULL  , 
      estado_agenda_id int   NOT NULL  , 
      system_users_id int   , 
      atribuido_em datetime   NOT NULL  , 
 PRIMARY KEY (id),
FOREIGN KEY(agendamento_id) REFERENCES agendamento(id),
FOREIGN KEY(estado_agenda_id) REFERENCES estado_agenda(id),
FOREIGN KEY(system_users_id) REFERENCES system_users(id)) ; 

CREATE TABLE exame( 
      id  INTEGER    NOT NULL  , 
      ativo char  (1)   NOT NULL    DEFAULT 'S', 
      nome text   NOT NULL  , 
      codigo_referencia text   , 
 PRIMARY KEY (id)) ; 

CREATE TABLE exame_atendimento( 
      id  INTEGER    NOT NULL  , 
      atendimento_id int   NOT NULL  , 
      exame_id int   NOT NULL  , 
      indicacao_clinica text   NOT NULL  , 
      dt_exames date   NOT NULL  , 
      quantidade int   NOT NULL    DEFAULT 1, 
 PRIMARY KEY (id),
FOREIGN KEY(atendimento_id) REFERENCES atendimento(id),
FOREIGN KEY(exame_id) REFERENCES exame(id)) ; 

CREATE TABLE formulario( 
      id  INTEGER    NOT NULL  , 
      nome text   NOT NULL  , 
      ativo char  (1)   NOT NULL    DEFAULT 'S', 
      ordem int   NOT NULL  , 
 PRIMARY KEY (id)) ; 

CREATE TABLE grupo( 
      id  INTEGER    NOT NULL  , 
      nome text   NOT NULL  , 
      cor varchar  (10)   NOT NULL  , 
 PRIMARY KEY (id)) ; 

CREATE TABLE lancamento( 
      id  INTEGER    NOT NULL  , 
      conta_id int   NOT NULL  , 
      tipo_pagamento_id int   NOT NULL  , 
      parcela int   NOT NULL    DEFAULT 1, 
      dt_vencimento date   NOT NULL  , 
      valor double   NOT NULL  , 
      dt_pagamento date   , 
      ano_pagamento text   , 
      mes_pagamento text   , 
      ano_mes_pagamento text   , 
      ano_vencimento text   , 
      mes_vencimento text   , 
      ano_mes_vencimento text   , 
 PRIMARY KEY (id),
FOREIGN KEY(conta_id) REFERENCES conta(id),
FOREIGN KEY(tipo_pagamento_id) REFERENCES tipo_pagamento(id)) ; 

CREATE TABLE material( 
      id  INTEGER    NOT NULL  , 
      unidade_medida_id int   NOT NULL  , 
      nome text   NOT NULL  , 
      estoque_minimo double   , 
      dt_vencimento date   , 
      estoque_atualizado double   , 
      lote text   , 
      ativo char  (1)   NOT NULL    DEFAULT 'S', 
 PRIMARY KEY (id),
FOREIGN KEY(unidade_medida_id) REFERENCES unidade_medida(id)) ; 

CREATE TABLE medicamento( 
      id  INTEGER    NOT NULL  , 
      prescricao_id int   NOT NULL  , 
      medicamento text   NOT NULL  , 
      quantidade text   NOT NULL  , 
      posologia text   , 
 PRIMARY KEY (id),
FOREIGN KEY(prescricao_id) REFERENCES prescricao(id)) ; 

CREATE TABLE mensagem( 
      id  INTEGER    NOT NULL  , 
      agendamento_id int   NOT NULL  , 
      template_clinica_id int   , 
      system_user_id int   NOT NULL  , 
      titulo text   , 
      template text   , 
      enviado_em datetime   , 
      tipo_mensagem text   , 
 PRIMARY KEY (id),
FOREIGN KEY(agendamento_id) REFERENCES agendamento(id),
FOREIGN KEY(template_clinica_id) REFERENCES template_clinica(id),
FOREIGN KEY(system_user_id) REFERENCES system_users(id)) ; 

CREATE TABLE mensagem_acao( 
      id  INTEGER    NOT NULL  , 
      mensagem_id int   NOT NULL  , 
      url text   , 
      label text   , 
 PRIMARY KEY (id),
FOREIGN KEY(mensagem_id) REFERENCES mensagem(id)) ; 

CREATE TABLE movimentacao( 
      id  INTEGER    NOT NULL  , 
      material_id int   NOT NULL  , 
      system_user_id int   NOT NULL  , 
      dt_movimentacao text   , 
      quantidade double   , 
 PRIMARY KEY (id),
FOREIGN KEY(material_id) REFERENCES material(id),
FOREIGN KEY(system_user_id) REFERENCES system_users(id)) ; 

CREATE TABLE pessoa( 
      id  INTEGER    NOT NULL  , 
      nome varchar  (255)   NOT NULL  , 
      documento text   , 
      email varchar  (255)   , 
      telefone varchar  (20)   , 
      system_users_id int   , 
      sexo char  (1)   , 
      nome_civel varchar  (255)   , 
      rg text   , 
      dt_nascimento date   , 
      profissao text   , 
      tratamento text   , 
      observacao text   , 
      assinatura text   , 
      usuario varchar  (255)   , 
      senha varchar  (255)   , 
      foto text   , 
      aceita_receber_mensagen_whatsapp char  (1)   NOT NULL    DEFAULT 'F', 
 PRIMARY KEY (id),
FOREIGN KEY(system_users_id) REFERENCES system_users(id)) ; 

CREATE TABLE pessoa_endereco( 
      id  INTEGER    NOT NULL  , 
      pessoa_id int   NOT NULL  , 
      cidade_id int   NOT NULL  , 
      cep varchar  (10)   NOT NULL  , 
      rua varchar  (500)   NOT NULL  , 
      bairro varchar  (500)   NOT NULL  , 
      numero varchar  (100)   NOT NULL  , 
      complemento varchar  (500)   , 
 PRIMARY KEY (id),
FOREIGN KEY(pessoa_id) REFERENCES pessoa(id),
FOREIGN KEY(cidade_id) REFERENCES cidade(id)) ; 

CREATE TABLE pessoa_especialidade( 
      id  INTEGER    NOT NULL  , 
      pessoa_id int   NOT NULL  , 
      especialidade_id int   NOT NULL  , 
 PRIMARY KEY (id),
FOREIGN KEY(pessoa_id) REFERENCES pessoa(id),
FOREIGN KEY(especialidade_id) REFERENCES especialidade(id)) ; 

CREATE TABLE pessoa_grupo( 
      id  INTEGER    NOT NULL  , 
      pessoa_id int   NOT NULL  , 
      grupo_id int   NOT NULL  , 
      cor varchar  (10)     DEFAULT '#ffffff', 
 PRIMARY KEY (id),
FOREIGN KEY(pessoa_id) REFERENCES pessoa(id),
FOREIGN KEY(grupo_id) REFERENCES grupo(id)) ; 

CREATE TABLE prescricao( 
      id  INTEGER    NOT NULL  , 
      atendimento_id int   NOT NULL  , 
      controle_especial char  (1)   NOT NULL    DEFAULT 'N', 
      dt_prescricao date   NOT NULL  , 
 PRIMARY KEY (id),
FOREIGN KEY(atendimento_id) REFERENCES atendimento(id)) ; 

CREATE TABLE procedimento( 
      id int   NOT NULL  , 
      nome text   NOT NULL  , 
      cor varchar  (10)   NOT NULL  , 
      duracao text   , 
      codigo_referencia text   , 
      ativo char  (1)   NOT NULL    DEFAULT 'S', 
 PRIMARY KEY (id)) ; 

CREATE TABLE procedimento_material( 
      id  INTEGER    NOT NULL  , 
      procedimento_id int   NOT NULL  , 
      material_id int   NOT NULL  , 
      quantidade double   , 
 PRIMARY KEY (id),
FOREIGN KEY(procedimento_id) REFERENCES procedimento(id),
FOREIGN KEY(material_id) REFERENCES material(id)) ; 

CREATE TABLE procedimento_preco( 
      id  INTEGER    NOT NULL  , 
      procedimento_id int   NOT NULL  , 
      convenio_id int   NOT NULL  , 
      valor double   NOT NULL  , 
 PRIMARY KEY (id),
FOREIGN KEY(procedimento_id) REFERENCES procedimento(id),
FOREIGN KEY(convenio_id) REFERENCES convenio(id)) ; 

CREATE TABLE questao( 
      id  INTEGER    NOT NULL  , 
      formulario_id int   NOT NULL  , 
      nome text   NOT NULL  , 
      tipo_campo text   NOT NULL  , 
      fl_obrigatorio char   NOT NULL    DEFAULT 'N', 
      ativo char  (1)   NOT NULL    DEFAULT 'S', 
      opcoes text   , 
 PRIMARY KEY (id),
FOREIGN KEY(formulario_id) REFERENCES formulario(id)) ; 

CREATE TABLE resposta( 
      id  INTEGER    NOT NULL  , 
      resposta_formulario_id int   NOT NULL  , 
      questao_id int   NOT NULL  , 
      resposta text   , 
 PRIMARY KEY (id),
FOREIGN KEY(resposta_formulario_id) REFERENCES resposta_formulario(id),
FOREIGN KEY(questao_id) REFERENCES questao(id)) ; 

CREATE TABLE resposta_formulario( 
      id  INTEGER    NOT NULL  , 
      formulario_id int   NOT NULL  , 
      atendimento_id int   NOT NULL  , 
      dt_resposta date   , 
 PRIMARY KEY (id),
FOREIGN KEY(formulario_id) REFERENCES formulario(id),
FOREIGN KEY(atendimento_id) REFERENCES atendimento(id)) ; 

CREATE TABLE system_group( 
      id int   NOT NULL  , 
      name text   NOT NULL  , 
      uuid varchar  (36)   , 
 PRIMARY KEY (id)) ; 

CREATE TABLE system_group_program( 
      id int   NOT NULL  , 
      system_group_id int   NOT NULL  , 
      system_program_id int   NOT NULL  , 
 PRIMARY KEY (id),
FOREIGN KEY(system_program_id) REFERENCES system_program(id),
FOREIGN KEY(system_group_id) REFERENCES system_group(id)) ; 

CREATE TABLE system_preference( 
      id varchar  (255)   NOT NULL  , 
      preference text   NOT NULL  , 
 PRIMARY KEY (id)) ; 

CREATE TABLE system_program( 
      id int   NOT NULL  , 
      name text   NOT NULL  , 
      controller text   NOT NULL  , 
 PRIMARY KEY (id)) ; 

CREATE TABLE system_unit( 
      id int   NOT NULL  , 
      name text   NOT NULL  , 
      connection_name text   , 
 PRIMARY KEY (id)) ; 

CREATE TABLE system_user_group( 
      id int   NOT NULL  , 
      system_user_id int   NOT NULL  , 
      system_group_id int   NOT NULL  , 
 PRIMARY KEY (id),
FOREIGN KEY(system_group_id) REFERENCES system_group(id),
FOREIGN KEY(system_user_id) REFERENCES system_users(id)) ; 

CREATE TABLE system_user_program( 
      id int   NOT NULL  , 
      system_user_id int   NOT NULL  , 
      system_program_id int   NOT NULL  , 
 PRIMARY KEY (id),
FOREIGN KEY(system_program_id) REFERENCES system_program(id),
FOREIGN KEY(system_user_id) REFERENCES system_users(id)) ; 

CREATE TABLE system_users( 
      id int   NOT NULL  , 
      name text   NOT NULL  , 
      login text   NOT NULL  , 
      password text   NOT NULL  , 
      email text   , 
      frontpage_id int   , 
      system_unit_id int   , 
      active char  (1)   , 
      accepted_term_policy char  (1)   , 
      accepted_term_policy_at text   , 
 PRIMARY KEY (id),
FOREIGN KEY(system_unit_id) REFERENCES system_unit(id),
FOREIGN KEY(frontpage_id) REFERENCES system_program(id)) ; 

CREATE TABLE system_user_unit( 
      id int   NOT NULL  , 
      system_user_id int   NOT NULL  , 
      system_unit_id int   NOT NULL  , 
 PRIMARY KEY (id),
FOREIGN KEY(system_user_id) REFERENCES system_users(id),
FOREIGN KEY(system_unit_id) REFERENCES system_unit(id)) ; 

CREATE TABLE template_acao( 
      id  INTEGER    NOT NULL  , 
      template_clinica_id int   NOT NULL  , 
      url text   , 
      label text   , 
 PRIMARY KEY (id),
FOREIGN KEY(template_clinica_id) REFERENCES template_clinica(id)) ; 

CREATE TABLE template_clinica( 
      id  INTEGER    NOT NULL  , 
      chave text   NOT NULL  , 
      descricao text   NOT NULL  , 
      clinica_id int   NOT NULL  , 
      habilitado char  (1)   NOT NULL    DEFAULT 'T', 
      template text   , 
      titulo text   , 
      tipo_template text   , 
      readonly char  (1)   NOT NULL    DEFAULT 'F', 
 PRIMARY KEY (id),
FOREIGN KEY(clinica_id) REFERENCES clinica(id)) ; 

CREATE TABLE tipo_conta( 
      id  INTEGER    NOT NULL  , 
      nome text   NOT NULL  , 
 PRIMARY KEY (id)) ; 

CREATE TABLE tipo_documento( 
      id  INTEGER    NOT NULL  , 
      nome text   NOT NULL  , 
      texto_padrao text   NOT NULL  , 
      ativo char  (1)   NOT NULL    DEFAULT 'S', 
 PRIMARY KEY (id)) ; 

CREATE TABLE tipo_pagamento( 
      id  INTEGER    NOT NULL  , 
      nome text   NOT NULL  , 
      ativo char  (1)   NOT NULL    DEFAULT 'S', 
 PRIMARY KEY (id)) ; 

CREATE TABLE unidade_medida( 
      id  INTEGER    NOT NULL  , 
      nome text   NOT NULL  , 
      sigla text   NOT NULL  , 
 PRIMARY KEY (id)) ; 

CREATE TABLE whatsapp_config( 
      id  INTEGER    NOT NULL  , 
      clinica_id int   NOT NULL  , 
      phone text   , 
      status text   , 
      api_token text   , 
      api_key text   , 
 PRIMARY KEY (id),
FOREIGN KEY(clinica_id) REFERENCES clinica(id)) ; 

 
 CREATE UNIQUE INDEX unique_idx_cep_cache_cep ON cep_cache(cep);
 
  
